Bug 1293047 - Review Request: nodejs-deferred - Modular and fast Promises implementation for JavaScript
Review Request: nodejs-deferred - Modular and fast Promises implementation fo...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks: nodejs-reviews 1293053
  Show dependency treegraph
 
Reported: 2015-12-19 12:00 EST by Piotr Popieluch
Modified: 2016-05-27 16:56 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-27 16:56:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tom: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Piotr Popieluch 2015-12-19 12:00:48 EST
Spec URL: https://piotrp.fedorapeople.org/nodejs-deferred-0.7.4-1.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-deferred-0.7.4-1.fc24.src.rpm
Description: Modular and fast Promises implementation for JavaScript
Fedora Account System Username: piotrp
Comment 2 Tom Hughes 2015-12-20 06:04:24 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package installs properly.
  Note: Installation errors (see attachment)
  See: https://fedoraproject.org/wiki/Packaging:Guidelines


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 82 files have
     unknown license. Detailed output of licensecheck in /home/tom/1293047
     -nodejs-deferred/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Installation errors
-------------------
INFO: mock.py version 1.2.14 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux disabled
Finish: init plugins
Start: run
Start: chroot init
INFO: calling preinit hooks
INFO: enabled root cache
INFO: enabled dnf cache
Start: cleaning dnf metadata
Finish: cleaning dnf metadata
INFO: enabled ccache
Mock Version: 1.2.14
INFO: Mock Version: 1.2.14
Finish: chroot init
INFO: installing package(s): /home/tom/1293047-nodejs-deferred/results/nodejs-deferred-0.7.4-1.fc24.noarch.rpm
ERROR: Command failed. See logs for output.
 # /usr/bin/dnf --installroot /var/lib/mock/compton-rawhide-x86_64/root/ --releasever 24 --setopt=deltarpm=false install /home/tom/1293047-nodejs-deferred/results/nodejs-deferred-0.7.4-1.fc24.noarch.rpm


Rpmlint
-------
Checking: nodejs-deferred-0.7.4-1.fc24.noarch.rpm
          nodejs-deferred-0.7.4-1.fc24.src.rpm
nodejs-deferred.noarch: W: only-non-binary-in-usr-lib
nodejs-deferred.noarch: W: dangling-symlink /usr/lib/node_modules/deferred/node_modules/next-tick /usr/lib/node_modules/next-tick
nodejs-deferred.noarch: W: dangling-symlink /usr/lib/node_modules/deferred/node_modules/d /usr/lib/node_modules/d
nodejs-deferred.noarch: W: dangling-symlink /usr/lib/node_modules/deferred/node_modules/event-emitter /usr/lib/node_modules/event-emitter
nodejs-deferred.noarch: W: dangling-symlink /usr/lib/node_modules/deferred/node_modules/es5-ext /usr/lib/node_modules/es5-ext
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Requires
--------
nodejs-deferred (rpmlib, GLIBC filtered):
    nodejs(engine)
    npm(d)
    npm(es5-ext)
    npm(event-emitter)
    npm(next-tick)



Provides
--------
nodejs-deferred:
    nodejs-deferred
    npm(deferred)



Source checksums
----------------
https://registry.npmjs.org/deferred/-/deferred-0.7.4.tgz :
  CHECKSUM(SHA256) this package     : 4e4450c34c7d540da1e5c9399307013d15313819b62ac0f6424507cd75d3b937
  CHECKSUM(SHA256) upstream package : 4e4450c34c7d540da1e5c9399307013d15313819b62ac0f6424507cd75d3b937


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m compton-rawhide-x86_64 -b 1293047
Buildroot used: compton-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 3 Tom Hughes 2015-12-20 06:06:01 EST
You might want to add a comment about the circular dependency in the test - this is tested using tad but tad uses this module.

You could also add examples to %doc if you want.

Other than that it all looks fine.
Comment 4 Piotr Popieluch 2015-12-20 07:33:00 EST
Thanks will apply you suggestions. I'm actually packaging this to get tad in.
Comment 5 Gwyn Ciesla 2015-12-20 17:54:43 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/nodejs-deferred
Comment 6 Fedora Update System 2015-12-21 08:34:06 EST
nodejs-deferred-0.7.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d83b9913d
Comment 7 Fedora Update System 2015-12-21 08:34:24 EST
nodejs-deferred-0.7.4-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d1e7811c6
Comment 8 Fedora Update System 2015-12-21 08:34:40 EST
nodejs-deferred-0.7.4-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1a95bb0e2a
Comment 9 Fedora Update System 2015-12-22 10:33:40 EST
nodejs-deferred-0.7.4-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7d1e7811c6
Comment 10 Fedora Update System 2015-12-22 19:11:03 EST
nodejs-deferred-0.7.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-6d83b9913d
Comment 11 Fedora Update System 2015-12-24 00:21:01 EST
nodejs-deferred-0.7.4-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-1a95bb0e2a
Comment 12 Piotr Popieluch 2016-05-27 16:56:32 EDT
in f24 and rawhide

Note You need to log in before you can comment on or make changes to this bug.